---
lang: en
title: 'API docs: openapi-v3.restendpoint'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.openapi-v3.restendpoint.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/openapi-v3](./openapi-v3.md) &gt; [RestEndpoint](./openapi-v3.restendpoint.md)

## RestEndpoint interface

Data structure for REST related metadata

<b>Signature:</b>

```typescript
export interface RestEndpoint 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [path](./openapi-v3.restendpoint.path.md) | <code>string</code> |  |
|  [spec](./openapi-v3.restendpoint.spec.md) | <code>OperationObject</code> |  |
|  [verb](./openapi-v3.restendpoint.verb.md) | <code>string</code> |  |


